Reuse a Social Selling post as a draft
curl --request POST \
--url https://openapi.enginy.ai/v1/social-selling/posts/{postId}/reuse \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"identityId": 123,
"text": "<string>",
"includeMedia": true,
"sourceAttribution": "<string>"
}
'import requests
url = "https://openapi.enginy.ai/v1/social-selling/posts/{postId}/reuse"
payload = {
"identityId": 123,
"text": "<string>",
"includeMedia": True,
"sourceAttribution": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
identityId: 123,
text: '<string>',
includeMedia: true,
sourceAttribution: '<string>'
})
};
fetch('https://openapi.enginy.ai/v1/social-selling/posts/{postId}/reuse', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://openapi.enginy.ai/v1/social-selling/posts/{postId}/reuse",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'identityId' => 123,
'text' => '<string>',
'includeMedia' => true,
'sourceAttribution' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://openapi.enginy.ai/v1/social-selling/posts/{postId}/reuse"
payload := strings.NewReader("{\n \"identityId\": 123,\n \"text\": \"<string>\",\n \"includeMedia\": true,\n \"sourceAttribution\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://openapi.enginy.ai/v1/social-selling/posts/{postId}/reuse")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"identityId\": 123,\n \"text\": \"<string>\",\n \"includeMedia\": true,\n \"sourceAttribution\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://openapi.enginy.ai/v1/social-selling/posts/{postId}/reuse")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"identityId\": 123,\n \"text\": \"<string>\",\n \"includeMedia\": true,\n \"sourceAttribution\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "<string>",
"data": {
"draft": {
"draftId": 123,
"version": 123,
"status": "DRAFT",
"identity": {
"id": 123,
"name": "<string>"
},
"title": "<string>",
"text": "<string>",
"mentions": [
{
"start": 1,
"length": 2,
"kind": "PROFILE",
"urn": "urn:li:fsd_company:98422414",
"label": "<string>"
}
],
"attachments": [
{
"assetId": "<string>",
"position": 123,
"origin": "POST",
"type": "IMAGE",
"mimeType": "<string>",
"width": 123,
"height": 123,
"sizeBytes": 123,
"durationMs": 123,
"pageCount": 123,
"title": "<string>",
"description": "<string>",
"altText": "<string>",
"altTextSource": "AUTHOR",
"linkUrl": "<string>",
"pollOptions": [
"<string>"
],
"transcript": {
"status": "NOT_COLLECTED"
},
"access": {
"status": "AVAILABLE",
"downloadUrl": "<string>",
"previewUrl": "<string>",
"expiresAt": "<string>",
"durable": true,
"refreshable": true,
"verifiedAt": "<string>",
"reason": "<string>"
},
"source": {
"trackedPostId": 123,
"position": 123,
"credit": "<string>"
}
}
],
"firstComment": "<string>",
"visibility": "ANYONE",
"postAsCompany": true,
"companyUrn": "<string>",
"lineage": {
"sourcePostId": 123,
"sourceDraftId": 123,
"sourceAttribution": "<string>"
},
"planning": {
"series": "<string>",
"pillar": "<string>",
"objective": "<string>",
"audience": "<string>",
"factualSources": [
"<string>"
],
"notes": "<string>"
},
"schedule": {
"publishingPostId": 123,
"scheduledVersion": 123,
"scheduledAt": "<string>",
"timezone": "<string>"
},
"createdById": 123,
"updatedById": 123,
"createdAt": "<string>",
"updatedAt": "<string>"
},
"skippedMedia": [
{
"assetId": "<string>",
"reason": "<string>"
}
]
}
}Social Selling
Reuse a Social Selling post as a draft
Starts a draft for an identity from a tracked post (yours or a teammate’s): its text (or your adapted text), its media copied into the workspace (each copy keeps the source post and credit), and an attribution (default: the source author and URL). The source post is never modified and nothing is published across teammates. Media that cannot be copied is listed in skippedMedia with the reason.
Required scope:
SOCIAL_SELLING_WRITERate limit: 30 requests per minute
POST
/
v1
/
social-selling
/
posts
/
{postId}
/
reuse
Reuse a Social Selling post as a draft
curl --request POST \
--url https://openapi.enginy.ai/v1/social-selling/posts/{postId}/reuse \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"identityId": 123,
"text": "<string>",
"includeMedia": true,
"sourceAttribution": "<string>"
}
'import requests
url = "https://openapi.enginy.ai/v1/social-selling/posts/{postId}/reuse"
payload = {
"identityId": 123,
"text": "<string>",
"includeMedia": True,
"sourceAttribution": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
identityId: 123,
text: '<string>',
includeMedia: true,
sourceAttribution: '<string>'
})
};
fetch('https://openapi.enginy.ai/v1/social-selling/posts/{postId}/reuse', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://openapi.enginy.ai/v1/social-selling/posts/{postId}/reuse",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'identityId' => 123,
'text' => '<string>',
'includeMedia' => true,
'sourceAttribution' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://openapi.enginy.ai/v1/social-selling/posts/{postId}/reuse"
payload := strings.NewReader("{\n \"identityId\": 123,\n \"text\": \"<string>\",\n \"includeMedia\": true,\n \"sourceAttribution\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://openapi.enginy.ai/v1/social-selling/posts/{postId}/reuse")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"identityId\": 123,\n \"text\": \"<string>\",\n \"includeMedia\": true,\n \"sourceAttribution\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://openapi.enginy.ai/v1/social-selling/posts/{postId}/reuse")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"identityId\": 123,\n \"text\": \"<string>\",\n \"includeMedia\": true,\n \"sourceAttribution\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "<string>",
"data": {
"draft": {
"draftId": 123,
"version": 123,
"status": "DRAFT",
"identity": {
"id": 123,
"name": "<string>"
},
"title": "<string>",
"text": "<string>",
"mentions": [
{
"start": 1,
"length": 2,
"kind": "PROFILE",
"urn": "urn:li:fsd_company:98422414",
"label": "<string>"
}
],
"attachments": [
{
"assetId": "<string>",
"position": 123,
"origin": "POST",
"type": "IMAGE",
"mimeType": "<string>",
"width": 123,
"height": 123,
"sizeBytes": 123,
"durationMs": 123,
"pageCount": 123,
"title": "<string>",
"description": "<string>",
"altText": "<string>",
"altTextSource": "AUTHOR",
"linkUrl": "<string>",
"pollOptions": [
"<string>"
],
"transcript": {
"status": "NOT_COLLECTED"
},
"access": {
"status": "AVAILABLE",
"downloadUrl": "<string>",
"previewUrl": "<string>",
"expiresAt": "<string>",
"durable": true,
"refreshable": true,
"verifiedAt": "<string>",
"reason": "<string>"
},
"source": {
"trackedPostId": 123,
"position": 123,
"credit": "<string>"
}
}
],
"firstComment": "<string>",
"visibility": "ANYONE",
"postAsCompany": true,
"companyUrn": "<string>",
"lineage": {
"sourcePostId": 123,
"sourceDraftId": 123,
"sourceAttribution": "<string>"
},
"planning": {
"series": "<string>",
"pillar": "<string>",
"objective": "<string>",
"audience": "<string>",
"factualSources": [
"<string>"
],
"notes": "<string>"
},
"schedule": {
"publishingPostId": 123,
"scheduledVersion": 123,
"scheduledAt": "<string>",
"timezone": "<string>"
},
"createdById": 123,
"updatedById": 123,
"createdAt": "<string>",
"updatedAt": "<string>"
},
"skippedMedia": [
{
"assetId": "<string>",
"reason": "<string>"
}
]
}
}Authorizations
Path Parameters
Tracked post id to reuse.
Body
application/json